First time here? Check out the FAQ!
x

Will Silhouette Connect v1.2 work with Silhouette Portrait or do I need v1.3?

0 votes
asked by about Silhouette Connect
edited by

Will Silhouette Connect v1.2 work with Silhouette Portrait or do I need v1.3?

1 Answer

0 votes
answered by (329k points)

The Silhouette Connect is compatible with Silhouette Portrait, but it's not mentioned what are the versions required. On the FAQ section provided by the developers, there is a page where compatibility is explained.

I recommend you access this link to see exactly what's all about. Eventually, install both versions 1.2 and 1.3 to test them or reach out to the developers to ask them about compatibility.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...